API referenceQuestions
Get question scenarios
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
question_id*Question Id
Query Parameters
after?string|null
show_forecasts?boolean|null
current_only?Current Only
Only return the scenarios currently attached to the question, leaving out ones that have been removed or replaced.
Default
falseResponse Body
application/json
application/json
curl -X GET "https://example.com/questions/0/scenarios"{ "scenarios": [ { "id": 0, "base": { "date": "2026-09-15T10:42:00Z", "id": 987, "type": "unknown" }, "condition": { "question": { "id": 0, "title": "string", "url": "string" }, "id": 0, "date": "2019-08-24T14:15:22Z", "type": "unknown" }, "outcomes": { "property1": { "label": "string", "forecast": { "date": "2019-08-24T14:15:22Z", "type": "unknown" } }, "property2": { "label": "string", "forecast": { "date": "2019-08-24T14:15:22Z", "type": "unknown" } } } } ], "next": { "date": "2026-09-18T12:30:00Z", "id": 1234 }}